Page MenuHomePhabricator

Refactor Autocomment (aka. Summary) class to act as an aggregator
Closed, ResolvedPublic

Description

The Autocomment (or, since I315d884e38e, Summary) class should provide instances that act as an aggregator for Summary arguments, similar to the way the Message object works. This would allow for more meaningful summaries to be created, because the parameters can be added to the summary on the fly, when they are used.


Version: unspecified
Severity: enhancement

Details

Reference
bz45097

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:34 AM
bzimport set Reference to bz45097.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Feb 17 2013, 3:44 PM

Done in Iff022f834

Finally done in I90c99198. Patch merged.

Verified in Wikidata demo sprint 35

Restricted Application added a project: Wikidata. · View Herald TranscriptJul 27 2015, 10:28 AM